Please login or register.

Login with username, password and session length
Advanced search  


Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: WPA2 with VL5.9 and Broadcom driver?  (Read 1428 times)


  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1922
WPA2 with VL5.9 and Broadcom driver?
« on: October 20, 2009, 11:14:29 am »

Two years ago I installed two VL5.9 boxes at a small charity organization's offices. They are still going strong but they have recently switched to wireless WPA2 security. So yesterday I installed two wireless cards I had hanging around: a BCM4311 and a BCM4318. I got both working under VL5.9 and WEP here at home, using the BCM43xx Linux driver. However, at their offices I simply could not get WPA2 working. I was trying to do it the manual way by editing config files.  Running "wpa_supplicant -Dbcm43xx..." threw me an error.

Should I be using the "wext" supplicant driver with these chipsets?

Also, I am wondering  (in order to make it easier on me and the clients) that perhaps I should install wicd to make the maintenance easier? Would wicd work with 5.9 and the BCM drivers OK? wi-fi radar is OK but a bit limited.
"As people become more intelligent they care less for preachers and more for teachers". Robert G. Ingersoll


  • Vectorian
  • ****
  • Posts: 1132
Re: WPA2 with VL5.9 and Broadcom driver?
« Reply #1 on: October 20, 2009, 11:56:11 am »

I have a broadcom wireless device on my laptop with WPA1 and under VL 5.9 I recall having to using -wext supplicant driver; I was also using the bcm43xx device driver. My wireless device always shows as eth1 in 5.9 standard.

I would think that wicd would make maintenance easier, but do not know how well it performs in 5.9 (if at all).


  • Administrator
  • Vectorian
  • *****
  • Posts: 3780
Re: WPA2 with VL5.9 and Broadcom driver?
« Reply #2 on: October 20, 2009, 12:24:21 pm »

I recalled Vector giving some instruction on the installation of wicd on 5.9.
I did a little searching and the link is here.

Hopefully there is enough detail in there to help you install it.

Vectorlinux screencasts and  tutorials can be found at....